Bug 121824 - upgrade net-mgmt/ourmon
upgrade net-mgmt/ourmon
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Felippe de Meirelles Motta
Depends on:
  Show dependency treegraph
Reported: 2008-03-18 10:30 UTC by Denissia
Modified: 2008-05-17 16:25 UTC (History)
0 users

See Also:

file.diff (22.84 KB, patch)
2008-03-18 10:30 UTC, Denissia
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Denissia 2008-03-18 10:30:01 UTC
Upgrade net-mgmt/ourmon from version 2.5 to 2.8, patching for correct work at localized (non-english) systems and do a correct startup file (with use rc.subr)

It's my first experience in upgrading ports, so I'll be appreciate for any hints.

Fix: Patch below

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-03-18 10:30:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Felippe de Meirelles Motta freebsd_committer 2008-03-18 23:24:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 3 Thomas Abthorpe freebsd_committer 2008-04-22 23:33:46 UTC
Responsible Changed
From-To: lippe->tabthorpe

Take, helping lippe
Comment 4 Felippe de Meirelles Motta freebsd_committer 2008-05-05 16:40:07 UTC
Responsible Changed
From-To: tabthorpe->lippe

I'll take it again, as discussed with tabthorpe.
Comment 5 dfilter freebsd_committer 2008-05-17 16:09:25 UTC
lippe       2008-05-17 15:09:21 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/ourmon      Makefile distinfo pkg-descr pkg-plist 
  Added files:
    net-mgmt/ourmon/files ourmon.in pkg-message.in 
  Removed files:
    net-mgmt/ourmon      pkg-message 
  - Update to 2.8.1.
  - Makefile rewrited (totally out of standard).
  - Update WWW in pkg-descr.
  - Move pkg-message to FILESDIR.
  - Update pkg-plist.
  - New RC script.
  PR:             ports/121824
  Submitted by:   Dennis Yusupoff <Denissia@yandex.ru>
  Reworked by:    lippe (myself)
  Approved by:    araujo (mentor), maintainer timeout (>2 weeks)
  Revision  Changes    Path
  1.5       +31 -57    ports/net-mgmt/ourmon/Makefile
  1.3       +3 -3      ports/net-mgmt/ourmon/distinfo
  1.1       +53 -0     ports/net-mgmt/ourmon/files/ourmon.in (new)
  1.1       +40 -0     ports/net-mgmt/ourmon/files/pkg-message.in (new)
  1.2       +1 -1      ports/net-mgmt/ourmon/pkg-descr
  1.2       +0 -28     ports/net-mgmt/ourmon/pkg-message (dead)
  1.2       +284 -151  ports/net-mgmt/ourmon/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Felippe de Meirelles Motta freebsd_committer 2008-05-17 16:25:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!